Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcts.operation
Class GetResourceByID

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.wcts.operation.WCTSRequestBase
              org.deegree.ogcwebservices.wcts.operation.GetResourceByID

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class GetResourceByID

extends WCTSRequestBase

`GetResourceByID` encapsulates the xml-dom representation or kvp request parameters of a GetResourceById request.

Version:
  $Revision:$, $Date:$
Author:
  Rutger Bezema, last edited by: $Author:$
See Also:
  Serialized Form

Constructor Summary
`GetResourceByID(String version, String id, List<String> resourceIDs, String outputFormat)` *

Method Summary
`static GetResourceByID` | `create(String requestID, Map<String,String> map)` Create a `GetResourceByID`-request by extracting the values from the map, and calling the constructor with these values.
`String` | `getOutputFormat()`
`List<String>` | `getResourceIDs()`

Methods inherited from class org.deegree.ogcwebservices.wcts.operation.WCTSRequestBase
`getServiceName`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetResourceByID

    public GetResourceByID(String version,
                           String id,
                           List<String> resourceIDs,
                           String outputFormat)

  *

  Parameters:
    `version` - of the request
    `id` - of the request
    `resourceIDs` - a list of resources a client is interested in.
    `outputFormat` - if `null` it will be set to 'text/xml'

Method Detail

### getResourceIDs

    public final List<String> getResourceIDs()

  Returns:
    the resourceIDs, may be empty but never `null`

### getOutputFormat

    public final String getOutputFormat()

  Returns:
    the outputFormat, may be empty but never `null`

### create

    public static GetResourceByID create(String requestID,
                                         Map<String,String> map)
                                  throws OGCWebServiceException

  Create a `GetResourceByID`-request by extracting the values from the map, and calling the constructor with these values.

  Parameters:
    `requestID` - service internal id for this request.
    `map` - to extract requested values from.
  Returns:
    the bean representation
  Throws:
    `OGCWebServiceException` - if the map is `null` or has size==0, or the service,request parameters have none accepted values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org